Subject: Re: Setup failures during mirrored install
From: [email-masked]
To: [email-masked]
Cc: Igor Pechtchanski <[email-masked]>
Date: Fri, 23 May 2003 12:39:35 +1000 (EST)

On 22 May, Igor Pechtchanski wrote:
>  Define "hung"?  100% CPU?  0% CPU?  What was on the screen at the time? 
>  Did setup react to Windows events (i.e., could you cancel it)?  Would you 
>  be willing to try a debug snapshot of setup, attach to it with gdb when it 
>  hangs, and post a backtrace for each thread? 

Sorry, I should have been clearer.

I meant that setup's progress simply stopped.  I could still cancel it,
so it was still responding to mouse events.  Also, the system CPU load
was low, and the network traffic was low.

I'd be willing to try a debug snapshot.  I haven't used gdb to debug
threads though.

I assume I run ps and use the PID, not the WINPID to attach to?
What are the commands to list threads, and attach to a thread?

Or do you simply say "thread apply all where" ?

luke

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/